TryCatchStatement (groovy 2.4.14 API)
Date: 2018-02-24

Package: org.codehaus.groovy.ast.stmt

## [Java] Class TryCatchStatement

- org.codehaus.groovy.ast.stmt.TryCatchStatement

- Represents a try { ... } catch () finally {} statement in Groovy

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TryCatchStatement (Statement tryStatement, Statement finallyStatement)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addCatch(CatchStatement catchStatement)`
    `` | `CatchStatement` | `getCatchStatement(int idx)` @return the catch statement of the given index or null
    `` | `List<CatchStatement>` | `getCatchStatements()`
    `` | `Statement` | `getFinallyStatement()`
    `` | `Statement` | `getTryStatement()`
    `` | `void` | `setCatchStatement(int idx, CatchStatement catchStatement)`
    `` | `void` | `setFinallyStatement(Statement finallyStatement)`
    `` | `void` | `setTryStatement(Statement tryStatement)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Statement` | `addStatementLabel, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public TryCatchStatement(Statement tryStatement, Statement finallyStatement)

  - ### Method Detail

    - #### public void addCatch(CatchStatement catchStatement)

    - #### public CatchStatement getCatchStatement(int idx)

      Returns:
        the catch statement of the given index or null

    - #### public List<CatchStatement> getCatchStatements()

    - #### public Statement getFinallyStatement()

    - #### public Statement getTryStatement()

    - #### public void setCatchStatement(int idx, CatchStatement catchStatement)

    - #### public void setFinallyStatement(Statement finallyStatement)

    - #### public void setTryStatement(Statement tryStatement)

    - #### public void visit(GroovyCodeVisitor visitor)